import numpy as np
from scipy.interpolate import interp1d 
from scipy.integrate   import quad 
from scipy.integrate   import simps

def gauss(x,x0,sig):
    return 1.0/(np.sqrt(2.0*np.pi)*sig) * np.exp(-0.5*((x-x0)/sig)**2)

print(quad(gauss, -10,10, args=(0.0, 3.0)))

x = np.linspace(-10,10,100)
y = gauss(x, 0.0, 3.0)

print(simps(y,x=x))
